//---------------------------------------------------------------------------------------
//	NSString+MIME.m created by erik on Wed 08-Jan-1997
//	This code is part of the Alexandra Newsreader Project. For copyright details see
//	GNU public license version 2 or above. No warranties implied. Use at own risk.
//	More information can be found at <http://www.object-factory.com/Alexandra>.
//	@(#)$Id: NSString+MIME.h,v 1.5 1998/09/02 12:15:09 erik Exp $
//---------------------------------------------------------------------------------------

@interface NSString (MIMEExtensions_Alexandra)

+ (NSString *)stringWithData:(NSData *)data MIMEEncoding:(NSString *)encodingName;
+ (NSString *)stringWithBytes:(const void *)buffer length:(unsigned int)length MIMEEncoding:(NSString *)encodingName;

- initWithData:(NSData *)buffer MIMEEncoding:(NSString *)encoding;
- (NSData *)dataUsingMIMEEncoding:(NSString *)encoding;
- initWithMIMEHeaderFieldData:(NSData *)value;

- (NSData *)dataForHeaderFieldBody;
- (NSData *)dataForMIMEHeaderField;
- (NSData *)dataByWrappingInHeaderFieldWord;

- (NSString *)recommendedMIMEEncoding;
+ (NSStringEncoding)stringEncodingForMIMEEncoding:(NSString *)encoding;

@end


extern NSString *MIMEFormatException;

extern NSString *MIMEAsciiStringEncoding;
extern NSString *MIMELatin1StringEncoding;
extern NSString *MIMELatin2StringEncoding;
extern NSString *MIME2022JPStringEncoding;

